EDIT - feature request #5523

[DISCUSS] Do we need to distinguish homotypic and heterotypic synonym relationships
02/03/2016 10:39 AM - Andreas Mdller
Description

Currently in the TaxEditor homotypic and heterotypic synonyms are only distinguished via the homotypic group of the names not by
the synonym relationship type.

Only the details view does show the synonym relationship type. Often this type is not consistent with the homotypic group information
as it does not change when a synonym is moved to the homotypic group of the accepted taxon.

Either we need to set in place mechanisms to keep the information in sync or we may join the 3 synonym relationship types (is
synonym, is homotypic synonym and is heterotypic synonym) to become 1 single relationship type (is synonym of)

Also it is interesting that no one seems to use the synonym relationship types (maybe except for inferred synonyms).

They are not supported by neither the TaxEditor nor the dataportal as they both use algorithms only evaluating the homotypic group
of a name.

The only use case we have is dirty/incomplete/inconsistent data that should be shown as in the original publication. However, for this
specific use case we may want to create new names instead of reusing exisitng ones that belong to other homotyp. groups.

The current solution leads to problems, e.g. #5877

closely related to #5974

Related issues:

Related to EDIT - feature request #5974: Remove synonym relationships Closed
Related to EDIT - feature request #6198: Remove synonym relationships in TaxE... Closed
Related to EDIT - bug #5517: Update label for synonym types Worksforme
History

#1 - 02/03/2016 10:43 AM - Andreas Miiller

Hallo,

ich hatte, glaube ich, schon mal geschrieben, dass im Detail view eine homotypische Namensrelation nicht angezeigt wird, sondern falschlicherweise
eine heterotypische: [Bild]

Nun wollte ich die (korrekte) homotypische Relation wieder in eine heterotypische verwandeln (fur einen Screenshot). Habe also die Synonym
Relationship geléscht und eine neue (heterotypische) eingegeben.

Das andert aber (auch nach Reconnect) nichts — die Synonym Relationship bleibt bei heterotypisch, aber die Editor Darstellung bei homotypisch.
Welche bildet denn nun eigentlich die Datenlage ab?

Walter

Hallo Walter,

ja ich glaube du hattest das schon mal erwahnt. Ich habe es mir aber gerade erst richtig angeschaut.

Das scheint mal wieder eine der Altlasten des NameEditors zu sein, der wohl folgendermafen funktioniert:

04/18/2024 1/3



https://dev.e-taxonomy.eu/redmine/issues/5974

Die Darstellung im Name Editor erfolgt primar aufgrund der Homotypischen Gruppen. Der Synonymrelationstyp ist sekundar und wird beim
Verandern der homotypischen Gruppen nicht mehr neu gesetzt wie es scheint.

Ich habe mir das jetzt nur in der DB und nicht im Code angeschaut.

Die explizite Anzeige der Synonymrelationen im Detailsview ist relativ neu (im letzten Jahr) und wahr v.a. eine Notwendigkeit um die Pro Parte
Informationen editieren zu kénnen.

Naturlich kénnte man relativ einfach versuchen den Relationstyp nachzuziehen. Allerdings muss man dann wirklich sehr aufpassen, dass die Daten
auch wirklich konsistent bleiben. Mit dem Validation-Framework wird das bereits gemacht, oder ware zumindest leicht umzusetzen, allerdings ist
dieses noch in der Testphase.

Ein bisschen frage ich mich allerdings schon, ob es sich lohnt, diese mehr oder weniger redundante Information zu speichern. Eigentlich geht aus der
Logik ja schon eindeutig hervor, dass es sich bei homotypischen Namen um homotypische Relationen und bei nicht homotyischen Namen um
heterotypische handeln muss.

Der einzige Fall den wir nicht abdecken ist der, bei dem aus den Daten nicht hervorgeht, ob die Namen homotypisch sind oder nicht, dass kdnnte
man dann (auch bei Importen, bei denen die Beziehung eindeutig definierbar ist, anders als beim Editor) nicht mehr explizit definieren.

Anscheinend haben wir Gber viele Jahre den expliziten Beziehungstyp nicht wirklich gebraucht, weder im Editor noch im Portal, um die Daten so
anzuzeigen, wie es von den Usern gewollt war. Was nicht heisst, dass es nicht auch UseCases geben kdnnte in der Zukunft, die dies doch benétigen.
Im Berlin Model hatten wir ja das Konzept der homotypischen Gruppen noch nicht, so dass man dort den Beziehungstyp dringender benétigte.

Was denkst du dazu? Sollten wir versuchen mit dem Konzept der homotypischen Gruppe auszukommen, und den Beziehungstyp nicht explizit zu
definieren, und gibt es wichtige Falle, in denen wir diesen brauchen?

Einen ahnlichen Fall haben wir Gbrigens bei den Basionymbeziehungen und den Replaced Synonyms/Blocking Names. Hier werden m.E. auch mehr
Basionymbeziehungen im Editor erzeugt als zulassig, da sie i.d.R. fiir die ganze Gruppe vergeben werden, aber eigentlich nur fir die Namen der
Gruppe vergeben werden sollten, die wirklich Basionyme zueinander sind. Replaced Synonyms kénnen hingegen derzeit nur im Details View definiert
werden. Stéren tut das bislang kaum jemand, erstaunlicherweise.

Viele Grif3e,

Andreas M.

Hallo,

mir fallt kein Fall ein, bei dem man eine zusétzliche explizite Unterscheidung braucht, wenn wir homotypische Gruppen definieren. Wenn bei einem
Import keine Unterscheidung haben, landet eben jeder Name zuerst in seiner eigenen Gruppe.

Innerhalb der homotypischen Gruppen sollte es aber explizite Basionym-relationships aber geben, da es eben den Fall der replaced Synonyms gibt.
Ich wollte aber eigentlich wissen, wie ich ein (z.B. ausversehen) definiertes homotypisches Synonym wieder zu einem heterotypischen machen kann.
Herzlichen GruB3

Walter

Innerhalb der homotypischen Gruppen sollte es aber explizite Basionym-relationships aber geben, da es eben den Fall der replaced Synonyms
gibt.

Im Details View ist das ja bereits machbar, da da jede Beziehung einzeln definiert werden kann. Im NameEditor gibt es nur das vereinfachte ,mark as
Basionym of Group“ oder so dhnlich. Da misste man nochmal Uiberlegen, ob und wenn ja, wie man das besser machen kénnte. Nicht ganz trivial

Ich wollte aber eigentlich wissen, wie ich ein (z.B. ausversehen) definiertes homotypisches Synonym wieder zu einem heterotypischen machen
kann.

Wie gesagt kann man den Beziehungstyp derzeit gar nicht setzen und, da du dem auch zugestimmt hast, werden wir ihn in Zukunft evtl. ganz
entfernen (#5523). Relevant ist also lediglich die homotypische Gruppe und die kannst du wie gewohnt durch verschieben des Namens innerhalb des
NameEditors veréndern. Das Label (heterotypisch) im Details View sollte einfach nicht beachtet werden und wir werden es in Zukunft wohl entfernen.

AM

#2 - 05/02/2016 03:45 PM - Andreas Miiller
- Target version changed from CDM UML 4.0 to CDM UML 4.1
#3 - 06/08/2016 03:15 PM - Andreas Miiller
- Priority changed from New to Highest

#4 - 07/08/2016 08:46 PM - Andreas Miiller

- Status changed from New to In Progress

#5 - 10/13/2016 03:41 PM - Andreas Miiller

- Related to feature request #5974: Remove synonym relationships added

#6 - 10/14/2016 04:27 PM - Andreas Miiller
- Description updated
- Priority changed from Highest to Priority13

#8 - 11/16/2016 05:07 PM - Andreas Miller

- Related to feature request #6198: Remove synonym relationships in TaxEditor added

#9 - 12/01/2016 01:39 PM - Andreas Miiller
- Target version changed from CDM UML 4.1 to Release 4.6

#10 - 12/01/2016 01:39 PM - Andreas Miiller
- Target version changed from Release 4.6 to COM UML 4.7

#11 - 06/05/2017 05:03 PM - Andreas Miiller

- Private changed from Yes to No

#12 - 06/07/2017 01:26 AM - Andreas Miiller
- Target version changed from CDM UML 4.7 to CDM UML 5.0

#13 - 05/08/2018 06:45 PM - Andreas Miiller
- Target version changed from CDM UML 5.0 to CDM UML 5.5

#14 - 01/19/2019 12:33 AM - Andreas Miiller
- Priority changed from Priority13 to Priority12

#15 - 02/19/2019 10:06 AM - Andreas Miiller
- Target version changed from CDM UML 5.5 to COM UML 5.15

#16 - 06/23/2020 02:55 PM - Andreas Miiller
- Target version changed from CDM UML 5.15 to CDM UML 5.43

#17 - 10/26/2021 10:34 PM - Andreas Miiller
- Related to bug #5517: Update label for synonym types added
